=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2011-07-05 11:15:32 +0000
+++ client/drizzleslap.cc	2011-08-05 13:53:37 +0000
@@ -830,7 +830,7 @@
   if (not opt_csv_str.empty())
     print_conclusions_csv(conclusion);
 
-  delete [] head_sptr;
+  delete[] head_sptr;
 }
 
 

=== modified file 'drizzled/item/cmpfunc.cc'
--- drizzled/item/cmpfunc.cc	2011-07-16 00:12:54 +0000
+++ drizzled/item/cmpfunc.cc	2011-08-05 13:53:37 +0000
@@ -3190,7 +3190,7 @@
 
 in_row::~in_row()
 {
-  delete [] (cmp_item_row*) base;
+  delete[] (cmp_item_row*) base;
 }
 
 unsigned char *in_row::get_value(Item *item)

=== modified file 'drizzled/plugin/table_function.cc'
--- drizzled/plugin/table_function.cc	2011-08-05 12:29:44 +0000
+++ drizzled/plugin/table_function.cc	2011-08-05 13:53:37 +0000
@@ -212,11 +212,6 @@
   push(arg.data(), arg.size());
 }
 
-void plugin::TableFunction::Generator::push(const std::string& arg)
-{
-  push(arg.data(), arg.size());
-}
-
 void plugin::TableFunction::Generator::push(bool arg)
 {
   if (arg)

=== modified file 'drizzled/plugin/table_function.h'
--- drizzled/plugin/table_function.h	2011-08-05 12:29:44 +0000
+++ drizzled/plugin/table_function.h	2011-08-05 13:53:37 +0000
@@ -134,7 +134,6 @@
     void push(int64_t arg);
     void push(const char *arg, uint32_t length= 0);
     void push(str_ref);
-    void push(const std::string& arg);
     void push(bool arg);
     void push();
 

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2011-07-07 11:04:42 +0000
+++ drizzled/sql_base.cc	2011-08-05 13:53:37 +0000
@@ -1218,7 +1218,7 @@
     }
   }
 
-  delete [] tables;
+  delete[] tables;
 
   locking::broadcast_refresh();
 

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2011-06-27 14:23:35 +0000
+++ drizzled/sql_select.cc	2011-08-05 13:53:37 +0000
@@ -5832,7 +5832,7 @@
 
 err:
   if (copy)
-    delete [] param->copy_field;			// This is never 0
+    delete[] param->copy_field;
   param->copy_field=0;
   return true;
 }

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2011-08-04 08:13:04 +0000
+++ drizzled/sql_yacc.yy	2011-08-05 13:53:37 +0000
@@ -1836,7 +1836,7 @@
           default_collation_schema
           {
             Lex.name= $3;
-            if (Lex.name.str == NULL && Lex.session->copy_db_to((const char*&)Lex.name.str, Lex.name.length))
+            if (Lex.name.str == NULL && Lex.session->copy_db_to(Lex.name.str, Lex.name.length))
               DRIZZLE_YYABORT;
           }
         ;
@@ -2000,7 +2000,7 @@
 
             Lex.select_lex.db=$3->db.str;
             if (Lex.select_lex.db == NULL &&
-                Lex.session->copy_db_to((const char*&)Lex.select_lex.db, dummy))
+                Lex.session->copy_db_to(Lex.select_lex.db, dummy))
             {
               DRIZZLE_YYABORT;
             }

=== modified file 'drizzled/statement/alter_table.cc'
--- drizzled/statement/alter_table.cc	2011-08-05 13:28:48 +0000
+++ drizzled/statement/alter_table.cc	2011-08-05 13:53:37 +0000
@@ -1694,7 +1694,7 @@
 
     info.end_read_record();
     from->free_io_cache();
-    delete [] copy;
+    delete[] copy;
 
     if (to->cursor->ha_end_bulk_insert() && error <= 0)
     {

=== modified file 'plugin/json_server/json/json_internalmap.inl'
--- plugin/json_server/json/json_internalmap.inl	2011-05-02 21:41:20 +0000
+++ plugin/json_server/json/json_internalmap.inl	2011-08-05 13:53:37 +0000
@@ -102,7 +102,7 @@
 
    virtual void releaseMapBuckets( ValueInternalLink *links )
    {
-      delete [] links;
+      delete[] links;
    }
 
    virtual ValueInternalLink *allocateMapLink()
@@ -150,7 +150,7 @@
 
    virtual void releaseMapBuckets( ValueInternalLink *links )
    {
-      delete [] links;
+      delete[] links;
    }
 
    virtual ValueInternalLink *allocateMapLink()

=== modified file 'plugin/json_server/json/value.h'
--- plugin/json_server/json/value.h	2011-05-02 21:41:20 +0000
+++ plugin/json_server/json/value.h	2011-08-05 13:53:37 +0000
@@ -602,7 +602,7 @@
 
          virtual void releaseMapBuckets( ValueInternalLink *links )
          {
-            delete [] links;
+            delete[] links;
          }
 
          virtual ValueInternalLink *allocateMapLink()

=== modified file 'plugin/memory/hp_create.cc'
--- plugin/memory/hp_create.cc	2011-06-30 07:03:08 +0000
+++ plugin/memory/hp_create.cc	2011-08-05 13:53:37 +0000
@@ -242,9 +242,9 @@
 
 err:
   if (share && share->keydef)
-    delete [] share->keydef->seg;
+    delete[] share->keydef->seg;
   if (share)
-    delete [] share->keydef;
+    delete[] share->keydef;
   delete share;
   if (not create_info->internal_table)
     THR_LOCK_heap.unlock();
@@ -317,7 +317,7 @@
   heap_share_list.remove(share);        /* If not internal table */
   hp_clear(share);			/* Remove blocks from memory */
   if (share->keydef)
-    delete [] share->keydef->seg;
-  delete [] share->keydef;
+    delete[] share->keydef->seg;
+  delete[] share->keydef;
   delete share;
 }

